package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * audit_msg
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class AuditMsg implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 审核类型：1：产品
     */
    private Integer type;

    /**
     * 提交对象ID
     */
    private Long submitObjectId;

    /**
     * 提交对象名称
     */
    private String submitObjectName;

    /**
     * 提交人名称
     */
    private String submitOpName;

    /**
     * 提交人id
     */
    private Long submitOpId;

    /**
     * 审核流水号
     */
    private String auditSerialNo;

    /**
     * 审批意见
     */
    private String remarks;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 审批人员id
     */
    private Long auditOpId;

    /**
     * 审批人员名称
     */
    private String auditOpName;

    /**
     * 状态:  0:驳回  1通过:  2:待审批  
     */
    private Integer status;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getSubmitObjectId() {
        return submitObjectId;
    }

    public void setSubmitObjectId(Long submitObjectId) {
        this.submitObjectId = submitObjectId;
    }

    public String getSubmitObjectName() {
        return submitObjectName;
    }

    public void setSubmitObjectName(String submitObjectName) {
        this.submitObjectName = submitObjectName;
    }

    public String getSubmitOpName() {
        return submitOpName;
    }

    public void setSubmitOpName(String submitOpName) {
        this.submitOpName = submitOpName;
    }

    public Long getSubmitOpId() {
        return submitOpId;
    }

    public void setSubmitOpId(Long submitOpId) {
        this.submitOpId = submitOpId;
    }

    public String getAuditSerialNo() {
        return auditSerialNo;
    }

    public void setAuditSerialNo(String auditSerialNo) {
        this.auditSerialNo = auditSerialNo;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getAuditOpId() {
        return auditOpId;
    }

    public void setAuditOpId(Long auditOpId) {
        this.auditOpId = auditOpId;
    }

    public String getAuditOpName() {
        return auditOpName;
    }

    public void setAuditOpName(String auditOpName) {
        this.auditOpName = auditOpName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        AuditMsg other = (AuditMsg) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getSubmitObjectId() == null ? other.getSubmitObjectId() == null : this.getSubmitObjectId().equals(other.getSubmitObjectId()))
            && (this.getSubmitObjectName() == null ? other.getSubmitObjectName() == null : this.getSubmitObjectName().equals(other.getSubmitObjectName()))
            && (this.getSubmitOpName() == null ? other.getSubmitOpName() == null : this.getSubmitOpName().equals(other.getSubmitOpName()))
            && (this.getSubmitOpId() == null ? other.getSubmitOpId() == null : this.getSubmitOpId().equals(other.getSubmitOpId()))
            && (this.getAuditSerialNo() == null ? other.getAuditSerialNo() == null : this.getAuditSerialNo().equals(other.getAuditSerialNo()))
            && (this.getRemarks() == null ? other.getRemarks() == null : this.getRemarks().equals(other.getRemarks()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getAuditOpId() == null ? other.getAuditOpId() == null : this.getAuditOpId().equals(other.getAuditOpId()))
            && (this.getAuditOpName() == null ? other.getAuditOpName() == null : this.getAuditOpName().equals(other.getAuditOpName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getSubmitObjectId() == null) ? 0 : getSubmitObjectId().hashCode());
        result = prime * result + ((getSubmitObjectName() == null) ? 0 : getSubmitObjectName().hashCode());
        result = prime * result + ((getSubmitOpName() == null) ? 0 : getSubmitOpName().hashCode());
        result = prime * result + ((getSubmitOpId() == null) ? 0 : getSubmitOpId().hashCode());
        result = prime * result + ((getAuditSerialNo() == null) ? 0 : getAuditSerialNo().hashCode());
        result = prime * result + ((getRemarks() == null) ? 0 : getRemarks().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getAuditOpId() == null) ? 0 : getAuditOpId().hashCode());
        result = prime * result + ((getAuditOpName() == null) ? 0 : getAuditOpName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", submitObjectId=").append(submitObjectId);
        sb.append(", submitObjectName=").append(submitObjectName);
        sb.append(", submitOpName=").append(submitOpName);
        sb.append(", submitOpId=").append(submitOpId);
        sb.append(", auditSerialNo=").append(auditSerialNo);
        sb.append(", remarks=").append(remarks);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", auditOpId=").append(auditOpId);
        sb.append(", auditOpName=").append(auditOpName);
        sb.append(", status=").append(status);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}